# Derivace funkce

- rychlost růstu či klesání funkce
- pokud je derivace funkce v bodě $x_0$
	- $< 0$, je funkce v bodě **klesající**
	- $> 0$, je funkce v bodě **rostoucí**
	- $= 0$, je funkce v bodě **konstatní**

### Základní vzorce

| operace             | vzorec                                                              |
| ------------------- | ------------------------------------------------------------------- |
| sčítání             | $(f+g)' = f' + g'$                                                  |
| násobení konstantou | $(c \cdot f)' = c \cdot f'$                                         |
| násobení            | $(f \cdot g)' = f' \cdot g + f \cdot g'$                            |
| dělení              | $\left( \frac{f}{g} \right)' = \frac{f' \cdot g - f \cdot g'}{g^2}$ |
| složená funkce      | $(f(g(x)))'=f'(g(x))\cdot g'(x)$                                                                    |

### Tabulka derivací

| funkce              | derivace                    |
| ------------------- | --------------------------- |
| $x^a$               | $ax^{a-1}$                  |
| $e^x$               | $e^x$                       |
| $a^x$               | $a^x \ln a$                 |
| $\ln x$             | $\frac{1}{x}$               |
| $\log_{a} x$        | $\frac{1}{x \ln a}$         |
| $\sin x$            | $\cos x$                    |
| $\cos x$            | $-\sin x$                   |
| $\text{tg } x$      | $\frac{1}{\cos^2 x}$        |
| $\text{cotg } x$    | $-\frac{1}{\sin^2 x}$       |
| $\arcsin x$         | $\frac{1}{\sqrt{ 1-x^2 }}$  |
| $\arccos x$         | $-\frac{1}{\sqrt{ 1-x^2 }}$ |
| $\text{arctg } x$   | $\frac{1}{1+x^2}$           |
| $\text{arccotg } x$ | $-\frac{1}{1+x^2}$          |
| $\sinh x$           | $\cosh x$                   |
| $\cosh x$           | $\sinh x$                   |
| $\text{tgh } x$     | $\frac{1}{\cosh^2 x}$       |
| $\text{cotgh } x$   | $\frac{1}{\sinh^2 x}$       |

### Tečna a normála

- zjištění tečny a normály v bodě funkce ($x_{0}$)
	1. najdeme tečný bod $T[x_{0}, y_{0}]$
		- $y_{0} = f(x_{0})$
	2. zderivujeme $f(x)$ a dosadíme do derivace $x_{0}$
		- $f'(x)$
		- $f'(x_{0})$
	3. zjistíme tečnu
		- $t: y-y_{0} = f'(x_{0})(x-x_{0})$
	4. zjistíme normálu
		- $n: y-y_{0} = -\frac{1}{f'(x_{0})}(x-x_{0})$

## Extrémy funkce

1.
	- **maximum**
	- **minimum**
2.
	- **lokální**
	- **globální**
3.
	- **ostré**
	- **neostré**

### Nutná podmínka existence extrému

$f'(x_{0}) = 0$, pokud jsou splněny **obě** podmínky:
- funkce f má v $x_{0}$ lokální extrém
- existuje $f'(x_{0})$

### Postačující podmínka existence extrému

- v $x_0$ se nachází **lokální minimum**, pokud
	- $f'(x_0) = 0$ a $f''(x_{0}) > 0$
- v $x_{0}$ se nachází lokální maximum, pokud
	- $f'(x_0) = 0$ a $f''(x_{0}) < 0$

## L'Hospitalovo pravidlo

- Pokud platí rovnosti $f(x_0) = g(x_0) = 0$ a existuje limita s derivacemi (druhá níže), pak platí vztah:
- $\displaystyle \lim_{x\to x_0}\frac{f(x)}{g(x)} = \lim_{x\to x_0}\frac{f'(x)}{g'(x)}$